Subject: Re: [PATCH] Do not make trace.c/getnanotime an inlined function

From: Johannes Sixt <[email-masked]>
Date: Mon, 29 Sep 2014 22:40:21 +0200

Am 28.09.2014 um 22:42 schrieb Ben Walton:
> On Sun, Sep 28, 2014 at 8:15 PM, Johannes Sixt <[email-masked]
> <mailto:[email-masked]>> wrote:
>     Am 28.09.2014 um 09:50 schrieb Ben Walton:
>     > -inline uint64_t getnanotime(void)
>     > +uint64_t getnanotime(void)
> 
>     But then the function could stay static, no?
> 
> 
> This function is used in several places outside of the translation unit
> so while it's possible, I think it's more work than it's worth...

I see. I didn't check myself, sorry. I assumed that due to the 'inline'
the function would not have been available outside. Now your patch looks
good.

Thanks,
-- Hannes